<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CSS Specificity Example</title>
    <style>
        /* Globalni stil */
        * {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }

        /* Stil za sve divove */
        div {
            border: 1px solid black;
            margin: 5px;
            padding: 5px;
        }

        /* Stil za paragrafe unutar diva s klasom "section" */
        .section p {
            color: blue;
        }

        /* Stil za paragrafe s klasom "highlight" */
        p.highlight {
            background-color: yellow;
        }

        /* Stil za specifičan paragraf s ID-om "main-content" */
        #main-content {
            font-weight: bold;
            color: green;
        }

        /* Stil za prvi div unutar bodyia (child selektor) */
        body > div:first-child {
            background-color: lightgray;
        }

        /* Stil za bilo koji div s klasom "section" izravno nakon diva s klasom "header" */
        .header + .section {
            background-color: lightblue;
        }

        /* Stil za paragrafe unutar diva s ID-om "footer" */
        #footer p {
            color: white;
            background-color: gray;
        }

        /* Stil za linkove s određenim atributom "title" */
        a[title="special-link"] {
            font-style: italic;
        }
    </style>
</head>
<body>
    <div class="header">
        <p>Welcome to our page!</p>
    </div>
    <div class="section">
        <p>This is a section.</p>
        <p id="main-content">This is the main content.</p>
        <p class="highlight">This paragraph is highlighted.</p>
    </div>
    <div id="footer">
        <p>Contact us: <a href="mailto:contact@example.com" title="special-link">contact@example.com</a></p>
    </div>
</body>
</html>
<!--
- Svi elementi nasljeđuju font iz globalnog stila *.
- Svi div elementi imaju crni rub zbog pravila div.
- Paragrafi unutar div.section imaju plavu boju teksta.
- Paragraf s klasom highlight ima žutu pozadinu.
- Paragraf s ID-om main-content ima zelenu boju teksta i bold font, 
  prebrisavši prethodna pravila zbog veće specifičnosti.
- Prvi div unutar tijela ima pozadinu svijetlosive boje.
- Div s klasom section koji slijedi odmah nakon diva s klasom header 
  ima pozadinu svijetloplave boje.
- Paragrafi unutar div#footer imaju bijelu boju teksta i sivu pozadinu.
- Link s atributom title="special-link" ima italic font.

Ovaj primjer demonstrira kako se različita CSS pravila primjenjuju na
elemente ovisno o njihovoj specifičnosti. 
Specifičniji selektori prebrisat će općenitije selektore.
-->
